// Foxtor Prefs
pref("extensions.foxtor.status", 100);
pref("extensions.foxtor.isfirsttime", true);
pref("extensions.foxtor.errorStatus","none");
pref("extensions.foxtor.isProxyLock", true);
pref("extensions.foxtor.unmaskedGeoInfo", "unknown, unknown, unknown, unknown");
pref("extensions.foxtor.maskedGeoInfo", "unknown, unknown, unknown, unknown");


// debugging
// These debug commands seem to cause issues for some people
//pref("javascript.options.showInConsole", true);
//pref("nglayout.debug.disable_xul_cache", true);
//pref("browser.dom.window.dump.enabled", true);
//pref("javascript.options.strict", true);

// masked preference defaults
pref("extensions.foxtor.masked.browser.history_expire_days",0);
pref("extensions.foxtor.masked.browser.sessionhistory.max_entries",0);
pref("extensions.foxtor.masked.browser.formfill.enable",false);
pref("extensions.foxtor.masked.signon.rememberSignons",false);
pref("extensions.foxtor.masked.browser.download.manager.retention",0);
pref("extensions.foxtor.masked.network.cookie.cookieBehavior",2);
pref("extensions.foxtor.masked.network.cookie.lifetimePolicy",0);
pref("extensions.foxtor.masked.browser.cache.disk.capacity",0);
pref("extensions.foxtor.masked.browser.cache.disk.enable",false);
pref("extensions.foxtor.masked.xpinstall.enabled",false);
pref("extensions.foxtor.masked.security.enable_java",false);
pref("extensions.foxtor.masked.javascript.enabled",false);

// these are necessary for versions 1.0.7
pref("extensions.foxtor.masked.network.image.imageBehavior",1);    
pref("extensions.foxtor.masked.app.update.autoUpdateEnabled",false);     
pref("extensions.foxtor.masked.extensions.update.autoUpdateEnabled",false);
// and these for normal versions 1.5+
pref("extensions.foxtor.masked.permissions.default.image",3);    
pref("extensions.foxtor.masked.app.update.enabled",false);     
pref("extensions.foxtor.masked.browser.search.update",false);   
pref("extensions.foxtor.masked.extensions.update.enabled",false);

// these are important proxy settings that are locked by default
pref("extensions.foxtor.masked.network.proxy.type",1); // enable proxy
pref("extensions.foxtor.masked.network.proxy.http","localhost");
pref("extensions.foxtor.masked.network.proxy.http_port",8118); // privoxy port
pref("extensions.foxtor.masked.network.proxy.no_proxies_on",""); // no exceptions
pref("extensions.foxtor.masked.network.proxy.share_proxy_settings",true); // all protocols use proxy settings



// Description
pref("extensions.{df674450-b704-11da-a94d-0800200c9a66}.description", "chrome://foxtor/locale/foxtor.properties");
